TRACEPKTDUMP(1)

NAME
tracepktdump - output packets in human readable format

SYNOPSIS
tracepktdump [ -f exp | --filter=exp ] [ -c num | --count=num ] inputuri ...

DESCRPTION
tracepktdump verbosely outputs packets in a human readable form, suitable for diagnosing packets.

tracepktdump uses the libpacketdump library. There is an example tracepktdump program in the examples directory that shows how to use libpacketdump.

-f bpf-filter
--filter bpf-filter
    Output only packets that match the bpf-filter expression. See tcpdump(1) for the syntax of the bpf-filter expression.

-c num
--count num
    stop after displaying num packets.

LINKS
More details about tracepktdump (and libtrace) can be found at http://www.wand.net.nz/trac/libtrace/wiki/UserDocumentation

SEE ALSO
libtrace(3), tracemerge(1), tracesplit(1), tracesplit_dir(1), tracefilter(1), tracestats(1), tracesummary(1), traceconvert(1), tracereport(1), tracertstats(1), traceanon(1), tracereplay(1), tracediff(1), traceends(1), tracetopends(1)

AUTHORS
Perry Lorier <perry@cs.waikato.ac.nz>, Daniel Lawson <dlawson@cs.waikato.ac.nz>